### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-table/ecl-table.directive.ts`

### Metadata

Selector | `[eclTable]`

### Index

###### Properties

- eclTableHeaders

###### Inputs

- isZebra

###### Outputs

- sort

###### HostBindings

- class

###### Accessors

- cssClasses

### Constructor

`constructor(differs: IterableDiffers)`

Parameters :

Name | Type | Optional
differs | `IterableDiffers` | No

### Inputs

isZebra
Type : `boolean`
Default value : `false`

### Outputs

sort
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Properties

eclTableHeaders
Type : `QueryList<EclTableHeaderDirective>`
Decorators : `@ContentChildren(undefined, {descendants: true})`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""